## libmysofa 0.6~dfsg0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project (libmysofa)

INCLUDE(CheckCCompilerFlag)
include(GenerateExportHeader)

option(BUILD_TESTS "Build test programs" ON)
option(BUILD_SHARED_LIBS "Build shared library" ON)

SET(CPACK_PACKAGE_DESCRIPTION "SOFA file reader for better HRTFs")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "This library reads AES SOFA files and normalizes them")
SET(CPACK_PACKAGE_VENDOR "Symonics GmbH")
SET(CPACK_PACKAGE_CONTACT "umlaeute@debian.org")
SET(CPACK_GENERATOR "DEB")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "5")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")

CHECK_C_COMPILER_FLAG(-Wall C_HAS_WALL)
IF(C_HAS_WALL)
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
ENDIF(C_HAS_WALL)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")

install(FILES share/default.sofa DESTINATION share/libmysofa)
install(FILES share/MIT_KEMAR_normal_pinna.sofa DESTINATION share/libmysofa)

if(BUILD_TESTS)

  list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
  include(FindCUnit)
  include_directories(${CUNIT_INCLUDE_DIRS})

  find_package(CUnit REQUIRED cunit)

  enable_testing()

  add_test(CIPIC_subject_003_hrir_final ../tests/compare.sh ../tests/CIPIC_subject_003_hrir_final)
  add_test(FHK_HRIR_L2354.sofa ../tests/compare.sh ../tests/FHK_HRIR_L2354)
  add_test(LISTEN_1002_IRC_1002_C_HRIR.sofa ../tests/compare.sh ../tests/LISTEN_1002_IRC_1002_C_HRIR)
  add_test(MIT_KEMAR_large_pinna.sofa ../tests/compare.sh ../tests/MIT_KEMAR_large_pinna)
  add_test(Pulse ../tests/compare.sh ../tests/Pulse)
  add_test(Tester ../tests/compare.sh ../tests/tester)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m.sofa ../tests/compare.sh ../tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5m.sofa ../tests/compare.sh ../tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5m)
endif(BUILD_TESTS)

add_subdirectory(src)

INCLUDE(CPack)

=== debian/changelog ===
libmysofa (0.6~dfsg0-2) unstable; urgency=medium

  * Set Multi-Arch:same (Closes: #882230)
  * Fixed Vcs-Git stanza
  * Bumped standards veresion to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Nov 2017 15:43:42 +0100

libmysofa (0.6~dfsg0-1) unstable; urgency=medium

  * Initial release (Closes: #865419)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Jul 2017 22:12:40 +0200

=== debian/control ===
Source: libmysofa
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-exec,
 cmake,
 zlib1g-dev | libz-dev,
 libcunit1-dev,
Standards-Version: 4.1.1
Section: devel
Homepage: https://github.com/hoene/libmysofa
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git

Package: libmysofa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmysofa0 (= ${binary:Version}),
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - development files
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the files necessary to compile applications using
 libmysofa.

Package: libmysofa0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the shared objects necessary to run an application using
 libmysofa.

Package: libmysofa-utils
Architecture: any
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - utilities
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the mysofa2json utility.

=== debian/watch ===
# See uscan
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="dversionmangle=s/[~+](dfsg|repack)([.]?[0-9]*)?$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libmysofa-$1.tar.gz%" \
   https://github.com/hoene/libmysofa/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libmysofa 0.6~dfsg0-2%2B8.0trisquel1

=== src/CMakeLists.txt ===
macro(use_c99)
  if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
      set (CMAKE_C_FLAGS "--std=gnu99 -pedantic ${CMAKE_C_FLAGS}")
    endif ()
  else ()
    set (CMAKE_C_STANDARD 99)
  endif ()
endmacro(use_c99)

use_c99()

configure_file (config.h.in ${CMAKE_SOURCE_DIR}/src/config.h)

if(NOT WIN32)
  find_library(MATH m)
  include(FindZLIB)
else()
  set(MATH "")
  find_program(NUGET nuget)
  if (NUGET)
    execute_process(COMMAND ${NUGET} install zlib)
  endif()
  include_directories(${CMAKE_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()

# include(FindZLIB)
# include_directories(${ZLIB_INCLUDE_DIRS})
# MESSAGE(STATUS "ZLIB libs" ${ZLIB_LIBRARIES})

if(NOT WIN32)
    find_library(MATH m)
    include(FindZLIB)
else()
    set(MATH "")
    find_program(NUGET nuget)
    if (NOT NUGET)
       message(FATAL "Cannot find nuget command line tool.\nInstall it with e.g. choco install nuget.commandline")
    else()
         execute_process(COMMAND ${NUGET} install zlib)
    endif()
    include_directories(${CMAKE_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()


set(libsrc hrtf/reader.c hdf/superblock.c hdf/dataobject.c hdf/btree.c hdf/fractalhead.c hdf/gunzip.c hdf/gcol.c hrtf/check.c hrtf/spherical.c 
  hrtf/lookup.c hrtf/tools.c hrtf/kdtree.c hrtf/neighbors.c hrtf/interpolate.c hrtf/resample.c hrtf/loudness.c hrtf/minphase.c hrtf/easy.c hrtf/cache.c 
  resampler/speex_resampler.c)
add_library(mysofa-static STATIC ${libsrc})
target_link_libraries (mysofa-static ${MATH} ${ZLIB_LIBRARIES})
SET_TARGET_PROPERTIES(mysofa-static PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE ON)
install(TARGETS mysofa-static
  ARCHIVE DESTINATION lib)

if(BUILD_SHARED_LIBS)
  add_library(mysofa-shared SHARED ${libsrc})
  target_link_libraries (mysofa-shared ${MATH} ${ZLIB_LIBRARIES})
  SET_TARGET_PROPERTIES(mysofa-shared PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1)
  set_property(TARGET mysofa-shared PROPERTY VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
  set_property(TARGET mysofa-shared PROPERTY SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR} )
  set_property(TARGET mysofa-shared PROPERTY C_VISIBILITY_PRESET hidden)
  GENERATE_EXPORT_HEADER(mysofa-shared BASE_NAME mysofa EXPORT_FILE_NAME ${CMAKE_SOURCE_DIR}/src/hrtf/mysofa_export.h)
  install(TARGETS mysofa-shared 
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib)
else()
  GENERATE_EXPORT_HEADER(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME ${CMAKE_SOURCE_DIR}/src/hrtf/mysofa_export.h)
endif()

install(FILES hrtf/mysofa.h DESTINATION include)

if(BUILD_TESTS)
  add_executable(mysofa2json tests/sofa2json.c tests/json.c)
  target_link_libraries (mysofa2json mysofa-static)

  add_executable(external tests/external.c tests/check.c tests/lookup.c tests/neighbors.c tests/interpolate.c tests/resample.c tests/loudness.c
    tests/minphase.c tests/easy.c tests/cache.c tests/json.c)
  target_link_libraries (external mysofa-shared ${CUNIT_LIBRARIES})
  add_test(NAME external WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND external)

  add_executable(internal tests/internal.c tests/tools.c hrtf/tools.c)
  target_link_libraries (internal m ${CUNIT_LIBRARIES})
  add_test(NAME internal WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND internal)
  

  install(TARGETS mysofa2json
    RUNTIME DESTINATION bin
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib)
endif(BUILD_TESTS)

=== debian/changelog ===
libmysofa (0.6~dfsg0-2+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 20:05:19 +0000

## libmysofa 0.6~dfsg0.2

=== debian/changelog ===
libmysofa (0.6~dfsg0.2-1+security) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Sun, 04 Apr 2021 15:35:48 +0800

libmysofa (0.6~dfsg0.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2019-20016

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 31 Aug 2020 13:36:00 +0800

libmysofa (0.6~dfsg0-3+deb10u1) buster; urgency=high

  * Backport security fixes (Closes: #939735)
    * CVE-2019-16091
    * CVE-2019-16092
    * CVE-2019-16093
    * CVE-2019-16094
    * CVE-2019-16095
    * misc security fixes that have no CVE assigned

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Sep 2019 13:44:59 +0200

libmysofa (0.6~dfsg0-3) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Backport fix for CVE-2019-10672 (Closes: #926125)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Apr 2019 23:25:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -12,8 +12,8 @@
 Standards-Version: 4.1.1
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libmysofa.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libmysofa
 
 Package: libmysofa-dev
 Section: libdevel

## libmysofa 0.7~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 INCLUDE(CheckCCompilerFlag)
 include(GenerateExportHeader)
+include(GNUInstallDirs)
 
 option(BUILD_TESTS "Build test programs" ON)
 option(BUILD_SHARED_LIBS "Build shared library" ON)
@@ -18,15 +19,19 @@
 SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")
 
+SET(PKG_CONFIG_PRIVATELIBS "")
+
+SET(PROJECT_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
+
 CHECK_C_COMPILER_FLAG(-Wall C_HAS_WALL)
 IF(C_HAS_WALL)
   SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
 ENDIF(C_HAS_WALL)
 
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
+set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG -DVDEBUG")
 
-install(FILES share/default.sofa DESTINATION share/libmysofa)
-install(FILES share/MIT_KEMAR_normal_pinna.sofa DESTINATION share/libmysofa)
+install(FILES share/default.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
+install(FILES share/MIT_KEMAR_normal_pinna.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
 
 if(BUILD_TESTS)
 
@@ -37,6 +42,9 @@
   find_package(CUnit REQUIRED cunit)
 
   enable_testing()
+
+ # add_test(security_1 ./src/mysofa2json ../tests/security/1.sofa)
+ # add_test(security_2 /bin/sh -c "./src/mysofa2json ../tests/security/2.sofa || test \$? = 22")
 
   add_test(CIPIC_subject_003_hrir_final ../tests/compare.sh ../tests/CIPIC_subject_003_hrir_final)
   add_test(FHK_HRIR_L2354.sofa ../tests/compare.sh ../tests/FHK_HRIR_L2354)
@@ -51,3 +59,13 @@
 add_subdirectory(src)
 
 INCLUDE(CPack)
+
+CONFIGURE_FILE(
+  "${CMAKE_CURRENT_SOURCE_DIR}/libmysofa.pc.cmake"
+  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
+  @ONLY
+)
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
+  DESTINATION "lib/pkgconfig"
+)

=== debian/changelog ===
libmysofa (0.7~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.7~dfsg0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Install library files from ${DEB_HOST_MULTIARCH}
  * Add new libmysofa0 symbols
  * State that building this package does not require root powers
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12
  * Bumped standards to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 15:47:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-exec,
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmysofa.git

## libmysofa 0.8~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,5 +67,5 @@
 )
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
-  DESTINATION "lib/pkgconfig"
+  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
 )

=== debian/changelog ===
libmysofa (0.8~dfsg0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Nov 2019 18:05:03 -0800

libmysofa (0.8~dfsg0-1) unstable; urgency=high

  * New upstream version 0.8~dfsg0
    * Closes: #939735
      - CVE-2019-16091
      - CVE-2019-16092
      - CVE-2019-16093
      - CVE-2019-16094
      - CVE-2019-16095
  * Add new symbols to d/libmysofa0.symbols
  * Refresh d/copyright
    * Add licensecheck target to d/rules
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Sep 2019 10:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:

## libmysofa 1.0~dfsg0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(libmysofa)

include(CheckCCompilerFlag)
include(GenerateExportHeader)
include(GNUInstallDirs)

option(BUILD_TESTS "Build test programs" ON)
option(BUILD_SHARED_LIBS "Build shared library" ON)

set(CPACK_PACKAGE_DESCRIPTION "SOFA file reader for better HRTFs")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "This library reads AES SOFA files and normalizes them")
set(CPACK_PACKAGE_VENDOR "Symonics GmbH")
set(CPACK_PACKAGE_CONTACT "umlaeute@debian.org")
set(CPACK_GENERATOR "DEB")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")

set(PKG_CONFIG_PRIVATELIBS "")

set(PROJECT_VERSION
    "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")

check_c_compiler_flag(-Wall C_HAS_WALL)
if(C_HAS_WALL)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif(C_HAS_WALL)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG -DVDEBUG")

install(FILES share/default.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
install(FILES share/MIT_KEMAR_normal_pinna.sofa
        DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)

if(BUILD_TESTS)

  list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
  include(FindCUnit)
  include_directories(${CUNIT_INCLUDE_DIRS})

  find_package(CUnit REQUIRED cunit)

  enable_testing()

  add_test(CIPIC_subject_003_hrir_final ../tests/compare.sh
           ../tests/CIPIC_subject_003_hrir_final)
  add_test(FHK_HRIR_L2354.sofa ../tests/compare.sh ../tests/FHK_HRIR_L2354)
  add_test(LISTEN_1002_IRC_1002_C_HRIR.sofa ../tests/compare.sh
           ../tests/LISTEN_1002_IRC_1002_C_HRIR)
  add_test(MIT_KEMAR_large_pinna.sofa ../tests/compare.sh
           ../tests/MIT_KEMAR_large_pinna)
  add_test(Pulse ../tests/compare.sh ../tests/Pulse)
  add_test(Tester ../tests/compare.sh ../tests/tester)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m.sofa
           ../tests/compare.sh
           ../tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5m.sofa ../tests/compare.sh
           ../tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5m)
  add_test(example_dummy_sofa48.sofa ../tests/compare.sh
           ../tests/example_dummy_sofa48)
  add_test(TestSOFA48_netcdf472.sofa ../tests/compare.sh
           ../tests/TestSOFA48_netcdf472)
  add_test(ignore_user_defined_variable ./src/mysofa2json
           ../tests/example_dummy_sofa48_with_user_defined_variable.sofa)

endif(BUILD_TESTS)

add_subdirectory(src)

include(CPack)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libmysofa.pc.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== src/CMakeLists.txt ===
macro(use_c99)
  if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
      set (CMAKE_C_FLAGS "--std=gnu99 -pedantic ${CMAKE_C_FLAGS}")
    endif ()
  else ()
    set (CMAKE_C_STANDARD 99)
  endif ()
endmacro(use_c99)

use_c99()

configure_file (config.h.in ${PROJECT_SOURCE_DIR}/src/config.h)

if(NOT MSVC)
  if(NOT WIN32)
    find_library(MATH m)
  else()
    set(MATH "")
  endif()
  include(FindZLIB)
else()
  set(MATH "")
  find_program(NUGET nuget)
  if (NUGET)
    execute_process(COMMAND ${NUGET} install zlib)
  endif()
  include_directories(${PROJECT_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()

# include(FindZLIB)
# include_directories(${ZLIB_INCLUDE_DIRS})
# MESSAGE(STATUS "ZLIB libs" ${ZLIB_LIBRARIES})

if(NOT MSVC)
  if(NOT WIN32)
    find_library(MATH m)
  else()
    set(MATH "")
  endif()
  include(FindZLIB)
  include_directories(${ZLIB_INCLUDE_DIRS})
  SET(PKG_CONFIG_PRIVATELIBS "-lm ${PKG_CONFIG_PRIVATELIBS}")
  SET(PKG_CONFIG_PRIVATELIBS "-lz ${PKG_CONFIG_PRIVATELIBS}")
else()
    set(MATH "")
    find_program(NUGET nuget)
    if (NOT NUGET)
       message(FATAL "Cannot find nuget command line tool.\nInstall it with e.g. choco install nuget.commandline")
    else()
         execute_process(COMMAND ${NUGET} install zlib)
    endif()
    include_directories(${PROJECT_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()


set(libsrc hrtf/reader.c hdf/superblock.c hdf/dataobject.c hdf/btree.c hdf/fractalhead.c hdf/gunzip.c hdf/gcol.c hrtf/check.c hrtf/spherical.c 
  hrtf/lookup.c hrtf/tools.c hrtf/kdtree.c hrtf/neighbors.c hrtf/interpolate.c hrtf/resample.c hrtf/loudness.c hrtf/minphase.c hrtf/easy.c hrtf/cache.c 
  resampler/speex_resampler.c)
add_library(mysofa-static STATIC ${libsrc})
target_link_libraries (mysofa-static ${MATH} ${ZLIB_LIBRARIES})
SET_TARGET_PROPERTIES(mysofa-static PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE ON)
install(TARGETS mysofa-static
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(BUILD_SHARED_LIBS)
  add_library(mysofa-shared SHARED ${libsrc})
  target_link_libraries (mysofa-shared ${MATH} ${ZLIB_LIBRARIES})
  SET_TARGET_PROPERTIES(mysofa-shared PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1)
  set_property(TARGET mysofa-shared PROPERTY VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
  set_property(TARGET mysofa-shared PROPERTY SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR} )
  set_property(TARGET mysofa-shared PROPERTY C_VISIBILITY_PRESET hidden)
  GENERATE_EXPORT_HEADER(mysofa-shared BASE_NAME mysofa EXPORT_FILE_NAME ${PROJECT_SOURCE_DIR}/src/hrtf/mysofa_export.h)
  install(TARGETS mysofa-shared 
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
else()
  GENERATE_EXPORT_HEADER(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME ${PROJECT_SOURCE_DIR}/src/hrtf/mysofa_export.h)
endif()

install(FILES hrtf/mysofa.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

if(BUILD_TESTS)
  add_executable(mysofa2json tests/sofa2json.c tests/json.c)
  target_link_libraries (mysofa2json mysofa-shared)

  add_executable(external tests/external.c tests/check.c tests/lookup.c tests/neighbors.c tests/interpolate.c tests/resample.c tests/loudness.c
    tests/minphase.c tests/easy.c tests/cache.c tests/json.c tests/user_defined_variable.c)
  target_link_libraries (external mysofa-shared ${CUNIT_LIBRARIES})
  add_test(NAME external WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND external)

  add_executable(internal tests/internal.c tests/tools.c hrtf/tools.c)
  target_link_libraries (internal m ${CUNIT_LIBRARIES})
  add_test(NAME internal WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND internal)
  
  add_executable(multithread tests/multithread.c)
  target_link_libraries (multithread mysofa-shared pthread)
  add_test(NAME multithread WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND multithread)

  install(TARGETS mysofa2json
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(BUILD_TESTS)

SET(PKG_CONFIG_PRIVATELIBS "${PKG_CONFIG_PRIVATELIBS}" PARENT_SCOPE)

=== debian/changelog ===
libmysofa (1.0~dfsg0-2) unstable; urgency=medium

  * Add patch to ensure that mysofa-utils use the shared library
  * Add autopkgtest
    * Add patch to make upstream scripts usable by autopkgtests
    * autopkgtest depends on nodejs
  * Make build more reproducible with "+fixfilepath"
  * Add patch to fix mysofa2json's export with custom variables

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 01 Mar 2020 20:57:02 +0100

libmysofa (1.0~dfsg0-1) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2020 22:01:08 +0100

libmysofa (1.0~dfsg0-1~exp1) experimental; urgency=medium

  * New upstream version 1.0~dfsg0
    * Fixes CVE-2020-6860 (Closes: #949325)
    * Bump soname to libmysofa1
    * Regenerate d/copyright_hints
  * Add salsa CI configuration
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Feb 2020 14:58:58 +0100

libmysofa (0.9.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.9.1~dfsg0
    * Regenerate d/copyright_hints
  * Update filenamemangling in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 14:03:06 +0100

libmysofa (0.9~dfsg0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ IOhannes m zmölnig ]
  * New upstream version 0.9~dfsg0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 07 Dec 2019 22:37:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dh-exec,
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
@@ -22,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmysofa0 (= ${binary:Version}),
+ libmysofa1 (= ${binary:Version}),
  ${misc:Depends},
 Description: library to read HRTFs stored in the AES69-2015 SOFA format - development files
  libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
@@ -37,7 +36,7 @@
  This package contains the files necessary to compile applications using
  libmysofa.
 
-Package: libmysofa0
+Package: libmysofa1
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	# tests have been disabled, until we figure out how to make them not stall
	@echo "skipping tests"

override_dh_clean:
	dh_clean
	rm -f easy.tmp.json
	rm -f src/config.h src/hrtf/mysofa_export.h

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## libmysofa 1.2~dfsg0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(libmysofa C CXX)

include(CheckCCompilerFlag)
include(GenerateExportHeader)
include(GNUInstallDirs)

option(BUILD_TESTS "Build test programs" ON)
option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_STATIC_LIBS "Build static library" ON)
option(CODE_COVERAGE "Enable coverage reporting" OFF)
option(ADDRESS_SANITIZE "Enable address sanitizer" OFF)

set(CPACK_PACKAGE_DESCRIPTION "SOFA file reader for better HRTFs")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "This library reads AES SOFA files and normalizes them")
set(CPACK_PACKAGE_VENDOR "Symonics GmbH")
set(CPACK_PACKAGE_CONTACT "umlaeute@debian.org")
set(CPACK_GENERATOR "DEB")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")

set(PKG_CONFIG_PRIVATELIBS "")

set(PROJECT_VERSION
    "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")

check_c_compiler_flag(-Wall C_HAS_WALL)
if(C_HAS_WALL)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif(C_HAS_WALL)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG -DVDEBUG")

if(${ADDRESS_SANITIZE} STREQUAL "ON")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -O1 -fno-omit-frame-pointer -g")
endif()

install(FILES share/default.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
install(FILES share/MIT_KEMAR_normal_pinna.sofa
        DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)

if(BUILD_TESTS)

  list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
  include(FindCUnit)
  include_directories(${CUNIT_INCLUDE_DIRS})

  find_package(CUnit REQUIRED cunit)

  enable_testing()

  add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json
           ${PROJECT_SOURCE_DIR}/tests/D1_48K_24bit_0.3s_FIR_SOFA.sofa)
  add_test(H20_44K_16bit_256tap_FIR_SOFA ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/H20_44K_16bit_256tap_FIR_SOFA)
  add_test(MIT_KEMAR_large_pinna ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/MIT_KEMAR_large_pinna)
  add_test(MIT_KEMAR_normal_pinna ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/MIT_KEMAR_normal_pinna)
  add_test(MIT_KEMAR_normal_pinna.old ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/MIT_KEMAR_normal_pinna.old)
  add_test(dtf_nh2 ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/dtf_nh2)
  add_test(hrtf_c_nh898 ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/hrtf_c_nh898)
  foreach(
    ISSUE
    72
    75
    76
    77
    79
    82
    83
    84
    130
    132
    135
    136
    137
    138)
    # issues with osx    96)
    add_test(fail-issue-${ISSUE} ${PROJECT_SOURCE_DIR}/tests/notcrashed.sh
             ${PROJECT_SOURCE_DIR}/tests/fail-issue-${ISSUE})
  endforeach(ISSUE)
  add_test(CIPIC_subject_003_hrir_final ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/CIPIC_subject_003_hrir_final)
  add_test(FHK_HRIR_L2354 ${PROJECT_SOURCE_DIR}/tests/compare.sh ${PROJECT_SOURCE_DIR}/tests/FHK_HRIR_L2354)
  add_test(LISTEN_1002_IRC_1002_C_HRIR ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/LISTEN_1002_IRC_1002_C_HRIR)
  add_test(Pulse ${PROJECT_SOURCE_DIR}/tests/compare.sh ${PROJECT_SOURCE_DIR}/tests/Pulse)
  add_test(Tester ${PROJECT_SOURCE_DIR}/tests/compare.sh ${PROJECT_SOURCE_DIR}/tests/tester)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5m ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5m)
  add_test(example_dummy_sofa48 ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/example_dummy_sofa48)
  add_test(TestSOFA48_netcdf472 ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/TestSOFA48_netcdf472)
  add_test(example_dummy_sofa48_with_user_defined_variable ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/example_dummy_sofa48_with_user_defined_variable)
endif(BUILD_TESTS)

add_subdirectory(src)

include(CPack)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libmysofa.pc.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== src/CMakeLists.txt ===
macro(use_c99)
  if(CMAKE_VERSION VERSION_LESS "3.1")
    if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
      set(CMAKE_C_FLAGS "--std=gnu99 -pedantic ${CMAKE_C_FLAGS}")
    endif()
  else()
    set(CMAKE_C_STANDARD 99)
  endif()
endmacro(use_c99)

use_c99()

configure_file(config.h.in ${PROJECT_SOURCE_DIR}/src/config.h)

if(NOT MSVC)
  if(NOT WIN32)
    find_library(MATH m)
  else()
    set(MATH "")
  endif()
  include(FindZLIB)
else()
  set(MATH "")
  find_program(NUGET nuget)
  if(NUGET)
    execute_process(COMMAND ${NUGET} install zlib)
  endif()
  include_directories(
    ${PROJECT_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()

if(NOT MSVC)
  if(NOT WIN32)
    find_library(MATH m)
  else()
    set(MATH "")
  endif()
  include(FindZLIB)
  include_directories(${ZLIB_INCLUDE_DIRS})
  set(PKG_CONFIG_PRIVATELIBS "-lm ${PKG_CONFIG_PRIVATELIBS}")
  set(PKG_CONFIG_PRIVATELIBS "-lz ${PKG_CONFIG_PRIVATELIBS}")
else()
  set(MATH "")
  find_program(NUGET nuget)
  if(NOT NUGET)
    message(
      FATAL
      "Cannot find nuget command line tool.\nInstall it with e.g. choco install nuget.commandline"
    )
  else()
    execute_process(COMMAND ${NUGET} install zlib)
  endif()
  include_directories(
    ${PROJECT_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()

set(libsrc
    hrtf/reader.c
    hdf/superblock.c
    hdf/dataobject.c
    hdf/btree.c
    hdf/fractalhead.c
    hdf/gunzip.c
    hdf/gcol.c
    hrtf/check.c
    hrtf/spherical.c
    hrtf/lookup.c
    hrtf/tools.c
    hrtf/kdtree.c
    hrtf/neighbors.c
    hrtf/interpolate.c
    hrtf/resample.c
    hrtf/loudness.c
    hrtf/minphase.c
    hrtf/easy.c
    hrtf/cache.c
    resampler/speex_resampler.c)
if(BUILD_STATIC_LIBS)
add_library(mysofa-static STATIC ${libsrc})
target_link_libraries(mysofa-static LINK_PRIVATE ${MATH} ${ZLIB_LIBRARIES})
set_target_properties(
  mysofa-static
  PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE
                                                      ON)
install(TARGETS mysofa-static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

  if(UNIX
     AND CODE_COVERAGE
     AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(mysofa-static PUBLIC -g -O0 -Wall -fprofile-arcs
                                                -ftest-coverage)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.13)
      target_link_options(mysofa-static PUBLIC --coverage)
    else()
      target_link_libraries(mysofa-static LINK_PUBLIC gcov --coverage)
    endif()
  endif()
endif()

if(BUILD_SHARED_LIBS)
  add_library(mysofa-shared SHARED ${libsrc})
  target_link_libraries(mysofa-shared PRIVATE ${MATH} ${ZLIB_LIBRARIES})
  set_target_properties(mysofa-shared
                        PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1)
  set_property(
    TARGET mysofa-shared
    PROPERTY
      VERSION
      "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
  )
  set_property(TARGET mysofa-shared PROPERTY SOVERSION
                                             ${CPACK_PACKAGE_VERSION_MAJOR})
  set_property(TARGET mysofa-shared PROPERTY C_VISIBILITY_PRESET hidden)
  generate_export_header(mysofa-shared BASE_NAME mysofa EXPORT_FILE_NAME
                         ${PROJECT_SOURCE_DIR}/src/hrtf/mysofa_export.h)

  if(UNIX
     AND CODE_COVERAGE
     AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(mysofa-shared PUBLIC -g -O0 -Wall -fprofile-arcs
                                                -ftest-coverage)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.13)
      target_link_options(mysofa-shared PUBLIC --coverage)
    else()
      target_link_libraries(mysofa-shared LINK_PUBLIC gcov --coverage)
    endif()
  endif()

  install(
    TARGETS mysofa-shared
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
else()
  generate_export_header(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME
                         ${PROJECT_SOURCE_DIR}/src/hrtf/mysofa_export.h)
endif()

install(FILES hrtf/mysofa.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

if(BUILD_TESTS)
  add_executable(mysofa2json tests/sofa2json.c tests/json.c)
  if(BUILD_STATIC_LIBS)
    target_link_libraries(mysofa2json mysofa-static)
  else()
    target_link_libraries(mysofa2json mysofa-shared)
  endif()

  add_executable(
    external
    tests/external.c
    tests/check.c
    tests/lookup.c
    tests/neighbors.c
    tests/interpolate.c
    tests/resample.c
    tests/loudness.c
    tests/minphase.c
    tests/easy.c
    tests/cache.c
    tests/json.c
    tests/user_defined_variable.c)
  if(BUILD_STATIC_LIBS)
    target_link_libraries(external mysofa-static ${CUNIT_LIBRARIES})
  else()
    target_link_libraries(external mysofa-shared ${CUNIT_LIBRARIES} m)
  endif()
  add_test(
    NAME external
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMAND external)

  add_executable(internal tests/internal.c tests/tools.c hrtf/tools.c)
  target_link_libraries(internal m ${CUNIT_LIBRARIES})
  add_test(
    NAME internal
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMAND internal)

  add_executable(multithread tests/multithread.c)
  if(BUILD_STATIC_LIBS)
    target_link_libraries(multithread mysofa-static pthread)
  else()
    target_link_libraries(multithread mysofa-shared pthread m)
  endif()
  add_test(
    NAME multithread
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMAND multithread)

  if(UNIX
     AND CODE_COVERAGE
     AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(internal PUBLIC -g -O0 -Wall -fprofile-arcs
                                           -ftest-coverage)
    target_link_libraries(internal gcov --coverage)
  endif()

  install(
    TARGETS mysofa2json
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(BUILD_TESTS)

set(PKG_CONFIG_PRIVATELIBS
    "${PKG_CONFIG_PRIVATELIBS}"
    PARENT_SCOPE)

=== debian/changelog ===
libmysofa (1.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.2~dfsg0
    * Refresh patches
  * Regenerate d/copyright_hints
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 30 Jan 2021 00:03:30 +0100

libmysofa (1.1~dfsg1-1) unstable; urgency=medium

  * New upstream version 1.1~dfsg1
    * Drop patches applied upstream
    * Refresh patches
  * Exclude tests/H20*.sofa (non-commercial license)
  * Declare patch as not forwardable
  * Install default sofa-file
  * Install pkg-config script
  * Disable profiling information
  * Add Build-Depends-Package information to symbols file
  * Fix autopkgtest by running the appropriate compare scripts
  * Drop B-D on "dh-exec" (obsoleted by dh>=13)
  * Fix paths in d/copyright
  * Regenerate d/copyright_hints
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Oct 2020 09:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 12),
- dh-exec,
+ debhelper-compat (= 13),
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCODE_COVERAGE=OFF \
+		$(empty)
 
 override_dh_auto_test:
 	# tests have been disabled, until we figure out how to make them not stall

## libmysofa 1.2.1~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,9 @@
     135
     136
     137
-    138)
+    138
+    156
+    163)
     # issues with osx    96)
     add_test(fail-issue-${ISSUE} ${PROJECT_SOURCE_DIR}/tests/notcrashed.sh
              ${PROJECT_SOURCE_DIR}/tests/fail-issue-${ISSUE})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -129,6 +129,7 @@
   install(
     TARGETS mysofa-shared
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
 else()
   generate_export_header(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME

=== debian/changelog ===
libmysofa (1.2.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.2.1~dfsg0
    * Refresh patches
  * Patch to use 'command -v' instead of 'which'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Nov 2021 12:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa

=== debian/tests/control ===
Tests: mysofa2json
Depends: @, nodejs

=== debian/watch ===
# See uscan
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts=dversionmangle=auto,\
	oversionmangle=s/$/~dfsg0/,\
	filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
   https://github.com/hoene/libmysofa/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libmysofa 1.3.1~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 set(CPACK_GENERATOR "DEB")
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "3")
 set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")
 
@@ -53,6 +53,8 @@
 
   enable_testing()
 
+  add_test(Mesh2HRTF src/mysofa2json -c
+           ${PROJECT_SOURCE_DIR}/tests/Mesh2HRTF.sofa)
   add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json
            ${PROJECT_SOURCE_DIR}/tests/D1_48K_24bit_0.3s_FIR_SOFA.sofa)
   add_test(H20_44K_16bit_256tap_FIR_SOFA ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
@@ -84,7 +86,13 @@
     137
     138
     156
-    163)
+    163
+    167a
+    167b
+    168
+    171
+    173
+)
     # issues with osx    96)
     add_test(fail-issue-${ISSUE} ${PROJECT_SOURCE_DIR}/tests/notcrashed.sh
              ${PROJECT_SOURCE_DIR}/tests/fail-issue-${ISSUE})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,7 +81,7 @@
 set_target_properties(
   mysofa-static
   PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE
-                                                      ON)
+                                                      ${BUILD_SHARED_LIBS})
 install(TARGETS mysofa-static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
   if(UNIX
@@ -150,6 +150,7 @@
     external
     tests/external.c
     tests/check.c
+    tests/check_data.c
     tests/lookup.c
     tests/neighbors.c
     tests/interpolate.c

=== debian/changelog ===
libmysofa (1.3.1~dfsg0-1ubuntu2) mantic; urgency=medium

  * debian/patches/git_s390x_tests.patch:
    - cherry pick upstream fix for s390x tests issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 May 2023 13:30:29 +0200

libmysofa (1.3.1~dfsg0-1ubuntu1) mantic; urgency=medium

  * debian/control, debian/rules:
    - enable build tests, unless we are on i386 or s390x
  * debian/patches/ubuntu_ignore_tests.patch:
    - ignore tests that require .sofa files which are excluded from the dfsg
      tarball.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 May 2023 11:36:35 +0200

libmysofa (1.3.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.3.1~dfsg0
    * Drop patch applied upstream.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 15 Oct 2022 22:04:48 +0200

libmysofa (1.3~dfsg0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.3~dfsg0
    * Drop patches applied upstream
  * Add patch for missing include
  * Update d/libmysofa.symbols
  * Try to make build reproducible
  * Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Oct 2022 14:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
+ libcunit1-dev,
+ nodejs [!i386] <!nocheck>,
  zlib1g-dev | libz-dev,
- libcunit1-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
@@ -40,8 +42,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: library to read HRTFs stored in the AES69-2015 SOFA format
  libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
  Format for Acoustics) files for spatial rendering.
@@ -59,8 +61,8 @@
 Architecture: any
 Section: utils
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: library to read HRTFs stored in the AES69-2015 SOFA format - utilities
  libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
  Format for Acoustics) files for spatial rendering.

=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,24 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
+# the tests have hardcoded reference to build/src
 %:
-	dh $@
+	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 		-DCODE_COVERAGE=OFF \
 		$(empty)
 
+# no-parallel otherwise we are hitting test errors
 override_dh_auto_test:
-	# tests have been disabled, until we figure out how to make them not stall
-	@echo "skipping tests"
+ifeq (,$(filter $(DEB_HOST_ARCH), i386))
+	dh_auto_test --no-parallel
+else
+	dh_auto_test --no-parallel || true
+endif
 
 override_dh_clean:
 	dh_clean

## libmysofa 1.3.2%2Bdfsg

=== debian/changelog ===
libmysofa (1.3.2+dfsg-2ubuntu2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:51 +0200

libmysofa (1.3.2+dfsg-2ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Build-Depend on nodejs on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 18:01:46 -0500

libmysofa (1.3.2+dfsg-2) unstable; urgency=medium

  * Run testsuite in terse mode

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Nov 2023 15:16:33 +0100

libmysofa (1.3.2+dfsg-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.3.2+dfsg
    + Refresh patches (with 'gbp pq')
    + Backported upstream patches
  * Ship Cmake snippets in libmysofa-dev
  * Re-enable build tests
    Thanks to Sebastien Bacher <seb128@ubuntu.com> (Closes: #1036219)
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
    + Modernize licensecheck target
  * d/watch: use repacksuffix
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Nov 2023 23:22:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcunit1-dev,
  nodejs [!i386] <!nocheck>,
  zlib1g-dev | libz-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
